<?php 
	if ( isset($_POST["type"]) ) {

		$z1 = $_POST[z1];
		$z2 = $_POST[z2];
		$att = $_POST[db];
	}
?>



<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">

<!--  Version: Multiflex-3 Update-1 / Layout-1             -->
<!--  Date:    November 27, 2006                           -->
<!--  Author:  G. Wolfgang                                 -->
<!--  License: Fully open source without restrictions.     -->
<!--           Please keep footer credits with a link to   -->
<!--           G. Wolfgang (www.1-2-3-4.info). Thank you!  -->

<head>

  <?php include_once "../includes/meta.html"; ?>
  <link rel="stylesheet" type="text/css" media="screen,projection,print" href="/css/layout1_setup.css" />
  <link rel="stylesheet" type="text/css" media="screen,projection,print" href="/css/layout1_text.css" />
  <link rel="icon" type="image/x-icon" href="/img/favicon.ico" />
  <title>Attenuators - T and PI Networks</title>
  
  
<script language="javascript" type="text/javascript">
	function trim(stringToTrim) {
		return stringToTrim.replace(/^\s+|\s+$/g,"");
	}
	function ltrim(stringToTrim) {
		return stringToTrim.replace(/^\s+/,"");
	}
	function rtrim(stringToTrim) {
		return stringToTrim.replace(/\s+$/,"");
	}	
	function isNumeric( value ) {
		if (value != null && !value.toString().match(/^[-]?\d*\.?\d*$/)) {
			return false;
		}
		return true;
	}

	function onLoad() {
		document.getElementById('submit').disabled = true;
		document.getElementById('z1').focus();
	}
	
	function clearAll() {
		document.getElementById("z1").value = "";
		document.getElementById("z2").value = "";
		document.getElementById("db").value = "";
		document.getElementById('submit').disabled = true;
		document.getElementById("z1").focus();
	}
	
	function validateForm() {
		var z1 = document.getElementById('z1');
		var z2 = document.getElementById('z2');
		var db = document.getElementById('db');
		if ( !isNumeric( z1.value ) ) {
			alert( "A Non-Numeric value was entered for Input Impedance: " + z1.value );
			z1.focus();
			return false;
		}
		if ( !isNumeric( z2.value ) ) {
			alert( "A Non-Numeric value was entered for Output Impedance: " + z2.value );
			z2.focus();
			return false;
		}
		if ( !isNumeric( db.value ) ) {
			alert( "A Non-Numeric value was entered for the Desired Attenuation: " + db.value );
			db.focus();
			return false;
		}
		return true;
	}
		
	function checkEnable() {
		var z1 = trim(document.getElementById('z1').value);
		var z2 = trim(document.getElementById('z2').value);
		var db = trim(document.getElementById('db').value);
		
		document.getElementById('z1').value = z1;
		document.getElementById('z2').value = z2;
		document.getElementById('db').value = db;
		
		if ( z1.length > 0 &
			 z2.length > 0 &
			 db.length > 0 ) {
			 document.getElementById('submit').disabled = false;
		} 
		else {
			 document.getElementById('submit').disabled = true;
		}
	}
</script>

</head>

<!-- Global IE fix to avoid layout crash when single word size wider than column width -->
<!--[if IE]><style type="text/css"> body {word-wrap: break-word;}</style><![endif]-->

<body onload="onLoad();">
  <!-- Main Page Container -->
  <div class="page-container">

   <!-- For alternative headers START PASTE here -->

    <!-- A. HEADER -->      
    <div class="header">
      
      <!-- A.1 HEADER TOP -->
	  <?php include '../includes/HeaderTop.incl.html'; ?>
      
      <!-- A.2 HEADER BOTTOM -->
	  <?php include '../includes/HeaderBottom.incl.html'; ?>

      <!-- A.3 HEADER BREADCRUMBS -->

      <!-- Breadcrumbs -->
      <div class="header-breadcrumbs">
        <ul>
          <li><a href="/index.php">Home</a></li>
          <li>Attenuators - T and PI Networks</li>
        </ul>

        <!-- Search form -->                  
		<?php include '../includes/SearchForm.incl.php'; ?>
      </div>
    </div>
   <!-- For alternative headers END PASTE here -->

    <!-- B. MAIN -->
    <div class="main">
  
      <!-- B.1 MAIN CONTENT -->
      <div class="main-content">
        
        <!-- Pagetitle -->
        <h1 class="pagetitle">Attenuators - T and PI Networks</h1>

			<p>Calculate the resistance values and power dissipation in 'constant-impedence' T and PI attenuators.</p>
		
			<h4>Attenuation: T and PI Networks</h4>
			
			<p>Enter network impedance in Ohms. Enter the attenuation in Db.</p>

			<form name="T" action="Attenuators.php" method="post" onsubmit="return validateForm()">
			<input type="hidden" name="type" value="T" />
			
			<table style="width:425px">
			<tr>
				<th>Input Impedance, Z<sub>1</sub> </th>
				<td><input type="text" size="9" maxlength="9" name="z1" ID="z1" onkeyup="checkEnable();" value="<?php if ( isset($_POST["z1"]) ) { echo $z1; } else { echo ''; } ?>" /> (&#8486;)</td>
			</tr>
			<tr>
				<th>Output Impedance, Z<sub>2</sub></th>
				<td><input type="text" size="9" maxlength="9" name="z2" ID="z2" onkeyup="checkEnable();" value="<?php if ( isset($_POST["z2"]) ) { echo $z2; } else { echo ''; } ?>" /> (&#8486;)</td>
			</tr>
			<tr>
				<th>Desired Attenuation, Db </th>
				<td><input type="text" size="9" maxlength="9" name="db" ID="db" onkeyup="checkEnable();" value="<?php if ( isset($_POST["db"]) ) { echo $att; } else { echo ''; } ?>" /> Db</td>
			</tr>
			<tr>
				<td style="text-align:right;"><input type="button" id="reset" value="Reset" onclick="clearAll();" /></td>
				<td><input type="submit" id="submit" value="Calculate" /></td>
			</tr>
			</table>
			

			<?php
				if ( isset( $_POST["type"] ) ) {
			?>
			<!-- Content unit - Two columns -->
	

			<?php
				
					$N = pow(10, ($att / 10));
		
					$a = sqrt($z1 / $z2);
					$b = sqrt(($z1 / $z2) - 1);
					$c = pow(($a + $b), 2);
					$d = log($c);
					$e = 10.000 * $d / log(10);
					$MinLoss = round($e, 3);
					$R3 = (2 * sqrt($N * $z1 * $z2)) / ($N - 1);
					$R1 = ($z1 * (($N + 1) / ($N - 1))) - $R3;
					$R2 = ($z2 * (($N + 1) / ($N - 1))) - $R3;
					
					$R1 = round($R1,1);
					$R2 = round($R2,1);
					$R3 = round($R3,1);
			?>		
					
					<div class="column2-unit-left">
					  <h1>T Network</h1>                            
					  <h3><?php echo $att . " db T-Pad"; ?></h3>
					  
					  <p>
					  <img src="/images/T_type_unbalanced_attenuator_circuit.jpg" border="0" width="250px"/><caption title="This is a file from the Wikimedia Commons"></caption>
					  </p>
					  
					  <p>
					  <?php
					  echo "Series In <sub>s1</sub> = " . $R1 . " &#8486;<br/>";
					  echo "Series Out <sub>s2</sub> = " . $R2 . " &#8486;<br/>";
					  echo "Shunt R<sub>p</sub> = " . $R3 . " &#8486;<br/>";
					  ?>
					  </p>

					</div>
					
					<div class="column2-unit-right">
					  <h1>PI Network</h1>                            
					  <h3><?php echo $att . " db PI-Pad"; ?></h3>
			
						<p>
						<caption title="This is a file from the Wikimedia Commons"><img src="/images/Pi_type_unbalanced_attenuator_circuit.jpg" border="0" width="250px" /></caption>
						</p>
					  
					  <p>
						<?php
										
							$att_ideal = pow(10, $att/10);
							
							$R2 = 0.5 * ($att_ideal - 1.0) * sqrt( $z1 * $z2 / $att_ideal);
							$R3 = 1.0 / ( ($att_ideal + 1) / ($z2 * ($att_ideal - 1.0) ) - (1.0 / $R2) );
							$R1= 1.0 / ( ($att_ideal + 1) / ($z1 * ($att_ideal - 1.0) ) - (1.0 / $R2) );
				
							$R1 = round($R1,1);
							$R2 = round($R2,1);
							$R3 = round($R3,1);
							
							echo "Shunt In R<sub>p1</sub> = " . $R1 . " &#8486;<br/>";
							echo "Series R<sub>s</sub> = " . $R2 . " &#8486;<br/>";
							echo "Shunt Out R<sub>p2</sub> = " . $R3 . " &#8486;<br/>";
						?>
					  </p>
					 </div>
					
			<?php
				}
			?>
			</form>
		</div>
    </div>
      
    <!-- C. FOOTER AREA -->      
	<?php include '../includes/Footer.incl.html'; ?>
	
  </div> 
  
</body>
</html>