
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">

<!--  Version: Multiflex-3 Update-1 / Layout-1             -->
<!--  Date:    November 27, 2006                           -->
<!--  Author:  G. Wolfgang                                 -->
<!--  License: Fully open source without restrictions.     -->
<!--           Please keep footer credits with a link to   -->
<!--           G. Wolfgang (www.1-2-3-4.info). Thank you!  -->

<head>

  <?php include_once "../includes/meta.html"; ?>
  <link rel="stylesheet" type="text/css" media="screen,projection,print" href="/css/layout1_setup.css" />
  <link rel="stylesheet" type="text/css" media="screen,projection,print" href="/css/layout1_text.css" />
  <link rel="icon" type="image/x-icon" href="/img/favicon.ico" />
  <title>Antenna Field Strength</title>
  
  
  <script language="javascript" type="text/javascript">
	function trim(stringToTrim) {
		return stringToTrim.replace(/^\s+|\s+$/g,"");
	}
	function ltrim(stringToTrim) {
		return stringToTrim.replace(/^\s+/,"");
	}
	function rtrim(stringToTrim) {
		return stringToTrim.replace(/\s+$/,"");
	}	
	function isNumeric( value ) {
		if (value != null && !value.toString().match(/^[-]?\d*\.?\d*$/)) {
			return false;
		}
		return true;
	}

	function onLoad() {
		document.getElementById('submit').disabled = true;
		document.getElementById('units').focus();
	}
	
  	function clearAll() {
		document.getElementById('units').value = "metric";
		document.getElementById('ant_height').value = '';
		document.getElementById('ant_power').value = '';
		document.getElementById('ant_impedance').value = '';	
		document.getElementById('ant_freq').value = '';
		document.getElementById('ant_dist').value = '';

		document.getElementById('submit').disabled = true;
		document.getElementById('units').focus();
	}
	
	function validateForm() {
		var ant_height = document.getElementById('ant_height');
		var ant_power = document.getElementById('ant_power');
		var ant_impedance = document.getElementById('ant_impedance');
		var ant_freq = document.getElementById('ant_freq');
		var ant_dist = document.getElementById('ant_dist');
		
		if ( !isNumeric( ant_height.value ) ) {
			alert( "A Non-Numeric value was entered for Antenna Height: " + ant_height.value );
			ant_height.focus();
			return false;
		}
		if ( !isNumeric( ant_power.value ) ) {
			alert( "A Non-Numeric value was entered for Antenna Power: " + ant_power.value );
			ant_power.focus();
			return false;
		}
		if ( !isNumeric( ant_impedance.value ) ) {
			alert( "A Non-Numeric value was entered for Antenna Impedance: " + ant_impedance.value );
			ant_impedance.focus();
			return false;
		}
		if ( !isNumeric( ant_freq.value ) ) {
			alert( "A Non-Numeric value was entered for Antenna Frequency: " + ant_freq.value );
			ant_freq.focus();
			return false;
		}
		if ( !isNumeric( ant_dist.value ) ) {
			alert( "A Non-Numeric value was entered for the Distance From the Antenna: " + ant_dist.value );
			ant_dist.focus();
			return false;
		}		
		
		return true;
	}
	
	function checkEnable() {
		var ant_height = trim(document.getElementById('ant_height').value);
		var ant_power = trim(document.getElementById('ant_power').value);
		var ant_impedance = trim(document.getElementById('ant_impedance').value);
		var ant_freq = trim(document.getElementById('ant_freq').value);
		var ant_dist = trim(document.getElementById('ant_dist').value);

		document.getElementById('ant_height').value = ant_height;
		document.getElementById('ant_power').value = ant_power;
		document.getElementById('ant_impedance').value = ant_impedance;
		document.getElementById('ant_freq').value = ant_freq;
		document.getElementById('ant_dist').value = ant_dist;
		
		if ( ant_height.length > 0 &
			 ant_power.length > 0 &
			 ant_impedance.length > 0 &
			 ant_freq.length > 0 &
			 ant_dist.length > 0 ) {
			 document.getElementById('submit').disabled = false;
		} 
		else {
			 document.getElementById('submit').disabled = true;
		}
	}
	
  </script>

</head>

<!-- Global IE fix to avoid layout crash when single word size wider than column width -->
<!--[if IE]><style type="text/css"> body {word-wrap: break-word;}</style><![endif]-->

<body onload="onLoad();">
  <!-- Main Page Container -->
  <div class="page-container">

   <!-- For alternative headers START PASTE here -->

    <!-- A. HEADER -->      
    <div class="header">
      
      <!-- A.1 HEADER TOP -->
	  <?php include '../includes/HeaderTop.incl.html'; ?>
      
      <!-- A.2 HEADER BOTTOM -->
	  <?php include '../includes/HeaderBottom.incl.html'; ?>

      <!-- A.3 HEADER BREADCRUMBS -->

      <!-- Breadcrumbs -->
      <div class="header-breadcrumbs">
        <ul>
          <li><a href="/index.php">Home</a></li>
          <li>Antenna Field Strength</li>
        </ul>

        <!-- Search form -->                  
		<?php include '../includes/SearchForm.incl.php'; ?>
      </div>
    </div>
   <!-- For alternative headers END PASTE here -->

    <!-- B. MAIN -->
    <div class="main">
  
      <!-- B.1 MAIN CONTENT -->
      <div class="main-content">
        
        <!-- Pagetitle -->
        <h1 class="pagetitle">Antenna Field Strength</h1>


			<h4>Calculate Antenna Field Strength</h4>
			
			<p>
				Antenna Field Strength can be calculated for a particular point, given the antenna height, power output 
				and the distance from the antenna.
			</p>
			
			<p>
				Antenna field strength relatively close to an antenna is measured in volts per metre and can be 
				reasonably estimated from the effective height of the antenna, the RF power into the antenna at a known
				impedance, the operating frequency, and the distance from the antenna.
			</p>
		
			<h5>
				Provide the Effective antenna height, power at antenna (W), antenna impedance, frequency, and distance 
				from antenna.</h5>

		<form action="antenna_field_strength.php" method="post" onsubmit="return validateForm()" >
		<table border="1" width="100%">
		<tr>
			<td>Units:</td>
			<td>
				<select name="units" id="units">
				<option value="metric" <?php if ( isset($_POST["units"]) ) { if ( $_POST["units"] == 'metric' ) { echo 'selected="selected"'; } } else { echo 'selected="selected"';} ?>>Metric</option>
				<option value="imperial"  <?php if ( isset($_POST["units"]) ) { if ( $_POST["units"] == 'imperial' ) {echo 'selected="selected"'; }} ?>>USA/Imperial</option>
				</select>
			  </td>
		</tr>
		<tr>
			<td>Effective Antenna Height:</td>
			<td><input type="text" name="ant_height" id="ant_height" size="12" maxlength="10" onkeyup="checkEnable();" <?php if (isset($_POST["ant_height"])) { echo "value='" . $_POST["ant_height"] . "'"; } ?> > *</td>
		</tr>
		
		<tr>
			<td>Power At Antenna:</td>
			<td><input type="text" name="ant_power" id="ant_power" size="12" maxlength="10" onkeyup="checkEnable();" <?php if (isset($_POST["ant_power"])) { echo "value='" . $_POST["ant_power"] . "'"; } ?> > (Watts)</td>
		</tr>

		<tr>
			<td>Antenna impedance (not including transmatch):</td>
			<td><input type="text" name="ant_impedance" id="ant_impedance" size="12" maxlength="10" onkeyup="checkEnable();" <?php if (isset($_POST["ant_impedance"])) { echo "value='" . $_POST["ant_impedance"] . "'"; } ?> > (Ohms)</td>
		</tr>
		
		<tr>
			<td>Operating Frequency:</td>
			<td><input type="text" name="ant_freq" id="ant_freq" size="12" maxlength="10" onkeyup="checkEnable();" <?php if (isset($_POST["ant_freq"])) { echo "value='" . $_POST["ant_freq"] . "'"; } ?> > (Mhz)</td>
		</tr>

		<tr>
			<td>Distance From Antenna:</td>
			<td><input type="text" name="ant_dist" id="ant_dist" size="12" maxlength="10" onkeyup="checkEnable();" <?php if (isset($_POST["ant_dist"])) { echo "value='" . $_POST["ant_dist"] . "'"; } ?> > *</td>
		</tr>

		<tr>
			<td colspan="2">* Units are in either Meters (Metric) or Feet (USA/Imperial).</td>
		</tr>

		<tr>
			<td>
				<input type="button" id="reset" value="Reset" tabindex="99" onclick="clearAll();" />
			</td>
			<td>
				<input type="submit" id="submit" tabindex="98" value="Calculate" />
			</td>
		</tr>
		</table>
		</form>
		
<?php
	
	if ( isset($_POST["units"]) & 
		 isset($_POST["ant_height"]) & 
		 isset($_POST["ant_power"]) & 
		 isset($_POST["ant_impedance"]) &
		 isset($_POST["ant_freq"]) &
		 isset($_POST["ant_dist"]) ){
		 
		include_once '../hamradiomag/db.php'; 
	
		dbconnect('ke5ema_toroids');

		// Setup our measurements...
		$units = $_POST["units"];

		switch ($units) {
		case 'metric':
			$unit_conversion = 1;
			$Measure = "meters";
			$nDigits = 1;						// Number of Decimal Digits 
			break;		
		
		case 'imperial':
			$unit_conversion = 3.048000E-01;
			$Measure = "feet";
			$nDigits = 3;						// Number of Decimal Digits 
			break;
		}
		
		$B = $_POST["ant_height"] * $unit_conversion;
		$P = $_POST["ant_power"];
		$O = $_POST["ant_impedance"];
		$I = sqrt( $P / $O);
		$W = 300 / $_POST["ant_freq"];
		$R = $_POST["ant_dist"] * $unit_conversion;
		$E = (188 * $B * $I) / ($W * $R);

		echo "<p>Field strength at " . $_POST["ant_dist"] . " " . $Measure . " from antenna is " . number_format($E, 3) . " volts/metre.</p>";
	}
?>
		</div>
    </div>
      
    <!-- C. FOOTER AREA -->      
	<?php include '../includes/Footer.incl.html'; ?>
	
  </div> 
  
</body>
</html>