<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"> 
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
	<title>LCD Custom Character Generator</title>
	
	<?php include '/includes/meta.html'; ?>
	<link rel="stylesheet" type="text/css" media="screen,projection,print" href="/css/layout1_setup.css" />
	<link rel="stylesheet" type="text/css" media="screen,projection,print" href="/css/layout1_text.css" />
	<link rel="icon" type="image/x-icon" href="/img/favicon.ico" />
	
	<link rel="stylesheet" type="text/css" href="style/style.css" />
	<script language="JavaScript" type="text/javascript">

	var isClear = true;
	
	function trim(stringToTrim) {
		return stringToTrim.replace(/^\s+|\s+$/g, "");
	}
	function ltrim(stringToTrim) {
		return stringToTrim.replace(/^\s+/, "");
	}
	function rtrim(stringToTrim) {
		return stringToTrim.replace(/\s+$/, "");
	}

	function toggle( cell ) {
				
		if ( cell.src.indexOf('light_pixel.png') > -1 ) {
			cell.src = "images/dark_pixel.png";
			isClear = false;
		}
		else { 
			cell.src = "images/light_pixel.png" ;
		}
		emit_code();
	}

	function toggle_all( ) {
	
		for (col = 0; col < 5; ++col){	 
			for (row = 0; row < 8; ++row){
				
				var astr = "";
				var cellid = astr.concat(row,col);
				var cell = document.getElementById( cellid );
				
				if ( cell.src.indexOf('light_pixel.png') > -1 ) {
					cell.src = "images/dark_pixel.png";
					isClear = false;
				}
				else { 
					cell.src = "images/light_pixel.png";
				}
			}
		}
		emit_code();
	}
	
	function clearall() {
		for (col = 0; col < 5; ++col){	 
			for (row = 0; row < 8; ++row) {
				var astr = "";
				var cellid = astr.concat(row,col);
				var cell = document.getElementById( cellid );			
				
				cell.src = "images/light_pixel.png";
			}
		}
		emit_code();
				
		isClear = true;
	}
	
	function setall() {
		for (col = 0; col < 5; ++col){	 
			for (row = 0; row < 8; ++row) {
				var astr = "";
				var cellid = astr.concat(row,col);
				var cell = document.getElementById( cellid );			
				
				cell.src = "images/dark_pixel.png";
			}
		}
		emit_code();
		
		isClear = false;
	}
	
	function clear_paint(e) {
		if (isClear) { 
			setall();
		}
		else {
			clearall(); 
		}
	}
	
	function sample1() {
		// Ohm Character
		clearall();
		toggle( document.getElementById( "11" ) );
		toggle( document.getElementById( "12" ) );
		toggle( document.getElementById( "13" ) );
		toggle( document.getElementById( "20" ) );
		toggle( document.getElementById( "24" ) );
		toggle( document.getElementById( "30" ) );
		toggle( document.getElementById( "34" ) );
		toggle( document.getElementById( "40" ) );
		toggle( document.getElementById( "44" ) );
		
		toggle( document.getElementById( "51" ) );
		toggle( document.getElementById( "53" ) );

		toggle( document.getElementById( "60" ) );
		toggle( document.getElementById( "61" ) );
		toggle( document.getElementById( "63" ) );
		toggle( document.getElementById( "64" ) );
	}

	function sample2() {
		// mu Character
		clearall();
		toggle( document.getElementById( "30" ) );
		toggle( document.getElementById( "33" ) );
	
		toggle( document.getElementById( "40" ) );
		toggle( document.getElementById( "43" ) );

		toggle( document.getElementById( "50" ) );
		toggle( document.getElementById( "53" ) );
		
		toggle( document.getElementById( "60" ) );
		toggle( document.getElementById( "61" ) );
		toggle( document.getElementById( "62" ) );
		toggle( document.getElementById( "63" ) );
				
		toggle( document.getElementById( "70" ) );		
	}
	
	function emit_code() {
	
		var code_id = document.getElementById( "sourcecode" );
		var source_code = "";
		
		source_code = "#include &lt;LiquidCrystal.h&gt;\n\n";
		source_code += "LiquidCrystal lcd(12, 11, 5, 4, 3, 2);\n\n";
		source_code += "byte newChar[8] = {\n";
		
		for (row = 0; row < 8; ++row) {
			
			var rowtext = "        B";
			
			for (col = 0; col < 5; ++col){	 
				var astr = "";
				var cellid = astr.concat(row,col);
				var cell = document.getElementById( cellid );			
				if (  cell.src.indexOf('light_pixel.png') > -1  ) {
					rowtext += "0";
				}
				else {
					rowtext += "1";
				}
			}
			if (row < 7) {
				rowtext += ",";
			}
			source_code += rowtext + "\n";
		}
		
		source_code += "};\n\n";
		source_code += "void setup() {\n";
		source_code += "    lcd.createChar(0, newChar);\n";
		source_code += "    lcd.begin(16, 2);\n";
		source_code += "    lcd.write(0);\n";
		source_code += "}\n\n";
		source_code += "void loop() {}";
		
		code_id.innerHTML = source_code;
	}	
	</script>
	
</head>

<body onLoad="clearall();">

  <!-- Main Page Container -->
  <div class="page-container">

   <!-- For alternative headers START PASTE here -->

    <!-- A. HEADER -->      
    <div class="header">
      
      <!-- A.1 HEADER TOP -->
	  <?php include '../includes/HeaderTop.incl.html'; ?>
      
      <!-- A.2 HEADER BOTTOM -->
	  <?php include '../includes/HeaderBottom.incl.html'; ?>

      <!-- A.3 HEADER BREADCRUMBS -->

      <!-- Breadcrumbs -->
      <div class="header-breadcrumbs">
        <ul>
          <li><a href="/index.php">Home</a></li>
          <li>LCD Custom Character Designer</li>
        </ul>

        <!-- Search form -->                  
		<?php include '../includes/SearchForm.incl.php'; ?>
      </div>
    </div>
   <!-- For alternative headers END PASTE here -->

    <!-- B. MAIN -->
    <div class="main">
  
      <!-- B.1 MAIN CONTENT -->
      <div class="main-content">

		
<script type="text/javascript"><!--
google_ad_client = "ca-pub-9862653535044390";
/* Ham Radio Index */
google_ad_slot = "3949884504";
google_ad_width = 728;
google_ad_height = 90;
//-->
</script>
<script type="text/javascript"
src="http://pagead2.googlesyndication.com/pagead/show_ads.js">
</script>        
		
        <!-- Pagetitle -->
        <h1 class="pagetitle">Liquid Crystal Display Custom Character Designer</h1>

			<h4>Design a Custom Character for an LCD</h4>

			<p>
				First off - this is not my original design.<br />
				Bruno Maia / Icontexto.com built this originally. It's been a very useful tool, but in recent
				months, it's disappeared. I thought I'd just make a quickie re-build of it, so I copied the
				graphics from a saved screenshot and wrote some simple-minded Javascript to design the Custom
				Characters and emit Arduino Sourcecode for the LiquidCrystal library.
			</p>
			
			<p>
				I believe Internet Explorer renders the Sketch Code indifferently, but the code is correct.
			</p>

			<form onSubmit="return false">
		 
			<div class="tool-wrapper">
				
			<div class="outer-panel" >
		
				<h1>Liquid Crystal Display</h1>
				<h2>Custom Character Creator</h2>
			
				<table class="table-panel">
				<tr>
					<td><img name="00" id="00" src="images/light_pixel.png" border="0" onClick="toggle(this)" /></td>
					<td><img name="01" id="01" src="images/light_pixel.png" border="0" onClick="toggle(this)" /></td>
					<td><img name="02" id="02" src="images/light_pixel.png" border="0" onClick="toggle(this)" /></td>
					<td><img name="03" id="03" src="images/light_pixel.png" border="0" onClick="toggle(this)" /></td>
					<td><img name="04" id="04" src="images/light_pixel.png" border="0" onClick="toggle(this)" /></td>
				</tr>
				<tr> 
					<td><img name="10" id="10" src="images/light_pixel.png" border="0" onClick="toggle(this)" /></td>
					<td><img name="11" id="11" src="images/light_pixel.png" border="0" onClick="toggle(this)" /></td>
					<td><img name="12" id="12" src="images/light_pixel.png" border="0" onClick="toggle(this)" /></td>
					<td><img name="13" id="13" src="images/light_pixel.png" border="0" onClick="toggle(this)" /></td>
					<td><img name="14" id="14" src="images/light_pixel.png" border="0" onClick="toggle(this)" /></td>
				</tr>
				<tr> 
					<td><img name="20" id="20" src="images/light_pixel.png" border="0" onClick="toggle(this)" /></td>
					<td><img name="21" id="21" src="images/light_pixel.png" border="0" onClick="toggle(this)" /></td>
					<td><img name="22" id="22" src="images/light_pixel.png" border="0" onClick="toggle(this)" /></td>
					<td><img name="23" id="23" src="images/light_pixel.png" border="0" onClick="toggle(this)" /></td>
					<td><img name="24" id="24" src="images/light_pixel.png" border="0" onClick="toggle(this)" /></td>
				</tr>
				<tr> 
					<td><img name="30" id="30" src="images/light_pixel.png" border="0" onClick="toggle(this)" /></td>
					<td><img name="31" id="31" src="images/light_pixel.png" border="0" onClick="toggle(this)" /></td>
					<td><img name="32" id="32" src="images/light_pixel.png" border="0" onClick="toggle(this)" /></td>
					<td><img name="33" id="33" src="images/light_pixel.png" border="0" onClick="toggle(this)" /></td>
					<td><img name="34" id="34" src="images/light_pixel.png" border="0" onClick="toggle(this)" /></td>
				</tr>
				<tr> 
					<td><img name="40" id="40" src="images/light_pixel.png" border="0" onClick="toggle(this)" /></td>
					<td><img name="41" id="41" src="images/light_pixel.png" border="0" onClick="toggle(this)" /></td>
					<td><img name="42" id="42" src="images/light_pixel.png" border="0" onClick="toggle(this)" /></td>
					<td><img name="43" id="43" src="images/light_pixel.png" border="0" onClick="toggle(this)" /></td>
					<td><img name="44" id="44" src="images/light_pixel.png" border="0" onClick="toggle(this)" /></td>
				</tr>
				<tr> 
					<td><img name="50" id="50" src="images/light_pixel.png" border="0" onClick="toggle(this)" /></td>
					<td><img name="51" id="51" src="images/light_pixel.png" border="0" onClick="toggle(this)" /></td>
					<td><img name="52" id="52" src="images/light_pixel.png" border="0" onClick="toggle(this)" /></td>
					<td><img name="53" id="53" src="images/light_pixel.png" border="0" onClick="toggle(this)" /></td>
					<td><img name="54" id="54" src="images/light_pixel.png" border="0" onClick="toggle(this)" /></td>
				</tr>
				<tr> 
					<td><img name="60" id="60" src="images/light_pixel.png" border="0" onClick="toggle(this)" /></td>
					<td><img name="61" id="61" src="images/light_pixel.png" border="0" onClick="toggle(this)" /></td>
					<td><img name="62" id="62" src="images/light_pixel.png" border="0" onClick="toggle(this)" /></td>
					<td><img name="63" id="63" src="images/light_pixel.png" border="0" onClick="toggle(this)" /></td>
					<td><img name="64" id="64" src="images/light_pixel.png" border="0" onClick="toggle(this)" /></td>
				</tr>
				<tr> 
					<td><img name="70" id="70" src="images/light_pixel.png" border="0" onClick="toggle(this)" /></td>
					<td><img name="71" id="71" src="images/light_pixel.png" border="0" onClick="toggle(this)" /></td>
					<td><img name="72" id="72" src="images/light_pixel.png" border="0" onClick="toggle(this)" /></td>
					<td><img name="73" id="73" src="images/light_pixel.png" border="0" onClick="toggle(this)" /></td>
					<td><img name="74" id="74" src="images/light_pixel.png" border="0" onClick="toggle(this)" /></td>
				</tr>
				<tr>
					<td colspan="5">
						<table border="0" width="100%" align="center" style="none">
						<tr>
							<td><input type="image" name="clear-paint"  onClick="clear_paint()" src="images/clear-paint-all.png" /></td>
							<td><input type="image" name="sample1" value="negative" onClick="sample1()" src="images/sample1.png" /></td>
							<td><input type="image" name="sample2" value="negative" onClick="sample2()" src="images/sample2.png" /></td>
						</tr>
						</table>		
					</td>	
				</tr>
				</table>
			
				<div class="outer-code-panel">
					<h3>Sketch Code:</h3>
					<div id="sourcecode" class="inner-code-panel">
		
					</div>
				</div>
			
			</div>
			
			</div>
			</form>
			
		</div>
    </div>
      
    <!-- C. FOOTER AREA -->      
	<?php include '../includes/Footer.incl.html'; ?>
	
  </div> 
  
</body>
</html>