<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">

<!--  Version: Multiflex-3 Update-1 / Layout-1             -->
<!--  Date:    November 27, 2006                           -->
<!--  Author:  G. Wolfgang                                 -->
<!--  License: Fully open source without restrictions.     -->
<!--           Please keep footer credits with a link to   -->
<!--           G. Wolfgang (www.1-2-3-4.info). Thank you!  -->

<head>

  <?php include_once "../includes/meta.html"; ?>
  <link rel="stylesheet" type="text/css" media="screen,projection,print" href="/css/layout1_setup.css" />
  <link rel="stylesheet" type="text/css" media="screen,projection,print" href="/css/layout1_text.css" />
  <link rel="icon" type="image/x-icon" href="/img/favicon.ico" />
  <title>Zener Diode Voltage Regulator</title>
  
  <script language="javascript" type="text/javascript">
	function trim(stringToTrim) {
		return stringToTrim.replace(/^\s+|\s+$/g,"");
	}
	function ltrim(stringToTrim) {
		return stringToTrim.replace(/^\s+/,"");
	}
	function rtrim(stringToTrim) {
		return stringToTrim.replace(/\s+$/,"");
	}	
	function isNumeric( value ) {
		if (value != null && !value.toString().match(/^[-]?\d*\.?\d*$/)) {
			return false;
		}
		return true;
	}

	function onLoad() {
		document.getElementById('submit').disabled = true;
		document.getElementById('vi').focus();
	}
	
  	function clearAll() {
		document.getElementById('vi').value = "";
		document.getElementById('vo').value = "";
		document.getElementById('io').value = "";
		document.getElementById('submit').disabled = true;
		document.getElementById('vi').focus();
	}
	
	function validateForm() {
		var vi = document.getElementById('vi');
		var vo = document.getElementById('vo');
		var io = document.getElementById('io');
		if ( !isNumeric( vi.value ) ) {
			alert( "A Non-Numeric value was entered for VI: " + vi.value );
			vi.focus();
			return false;
		}
		if ( !isNumeric( vo.value ) ) {
			alert( "A Non-Numeric value was entered for VO: " + vo.value );
			vo.focus();
			return false;
		}
		if ( !isNumeric( io.value ) ) {
			alert( "A Non-Numeric value was entered for io: " + io.value );
			io.focus();
			return false;
		}
		return true;
	}
	
	function checkEnable() {
		var vi = trim(document.getElementById('vi').value);
		var vo = trim(document.getElementById('vo').value);
		var io = trim(document.getElementById('io').value);
		
		document.getElementById('vi').value = vi;
		document.getElementById('vo').value = vo;
		document.getElementById('io').value = io;
		
		if ( vi.length > 0 &
			 vo.length > 0 &
			 io.length > 0 ) {
			 document.getElementById('submit').disabled = false;
		} 
		else {
			 document.getElementById('submit').disabled = true;
		}
	}
	
  </script>
  
</head>

<!-- Global IE fix to avoid layout crash when single word size wider than column width -->
<!--[if IE]><style type="text/css"> body {word-wrap: break-word;}</style><![endif]-->

<body onload="onLoad();">
  <!-- Main Page Container -->
  <div class="page-container">

   <!-- For alternative headers START PASTE here -->

    <!-- A. HEADER -->      
    <div class="header">
      
      <!-- A.1 HEADER TOP -->
	  <?php include '../includes/HeaderTop.incl.html'; ?>
      
      <!-- A.2 HEADER BOTTOM -->
	  <?php include '../includes/HeaderBottom.incl.html'; ?>

      <!-- A.3 HEADER BREADCRUMBS -->

      <!-- Breadcrumbs -->
      <div class="header-breadcrumbs">
        <ul>
          <li><a href="/index.php">Home</a></li>
          <li>Zener Regulator</li>
        </ul>

        <!-- Search form -->                  
		<?php include '../includes/SearchForm.incl.php'; ?>
      </div>
    </div>
   <!-- For alternative headers END PASTE here -->

    <!-- B. MAIN -->
    <div class="main">
  
      <!-- B.1 MAIN CONTENT -->
      <div class="main-content">
        
        <!-- Pagetitle -->
        <h1 class="pagetitle">Zener Diode Voltage Regulator</h1>


			<h4>Calculate Resistor Specifications for a Zener Diode Voltage Regulator</h4>
			
			<p>
				<img src="images/zener_diode_voltage_regulator.png" width="200px" />
			</p>
	
			<form action="zener_regulator.php" method="post" onsubmit="return validateForm()" >
			<table border="1" width="100%">
	
			<tr>
				<td>Input Voltage:</td>
				<td><input type="text" name="vi" id="vi" size="20" maxlength="6" onkeyup="checkEnable();" <?php if (isset($_POST["vi"])) { echo "value='" . $_POST["vi"] . "'"; } ?> > Volts</td>
			</tr>
			
			<tr>
				<td>Regulated Voltage:</td>
				<td><input type="text" name="vo" id="vo" size="20" maxlength="6" onkeyup="checkEnable();" <?php if (isset($_POST["vo"])) { echo "value='" . $_POST["vo"] . "'"; } ?> > Volts</td>
			</tr>
	
			<tr>
				<td>Load Current:</td>
				<td><input type="text" name="io" id="io" size="20" maxlength="6"  onkeyup="checkEnable();" <?php if (isset($_POST["io"])) { echo "value='" . $_POST["io"] . "'"; } ?> > Amps</td>
			</tr>
			
			<tr>
				<td style="text-align:right">
					<input type="button" id="reset" tabindex="99" value="Reset" onclick="clearAll();" />
				</td>
				<td>
					<input type="submit" id="submit" tabindex="98" value="Calculate" />
				</td>
			</tr>
			</table>
			</form>
			
<?php
	
	if ( isset($_POST["vi"]) & 
		 isset($_POST["vo"]) & 
		 isset($_POST["io"]) ){
		 
		include_once '../hamradiomag/db.php'; 
	
		dbconnect('ke5ema_toroids');

		$vi = $_POST["vi"];
		$vo = $_POST["vo"];
		$io = $_POST["io"];
		
		$R = ($vi - $vo) / $io;			// V = I * R --> R = V / I
		$Ri = $io * ($vi - $vo);		// Power = V * I
		
		echo "<p>Without the zener in the circuit R would be " . round($R, 1) . " " . " ohms, " .  round($Ri, 1) . " watt.</p>";
		
		echo "<p> Over a Range from zero to I<sub>out</sub><br/>";
		$incr_j = $io / 10;
		for ( $q = 1; $q <= 10; $q++) {
			$k = $incr_j * $q;
			$r1 = ($vi - $vo) / ($io + $k);
			$wd = $vo * $k + $vo * $io;
			$wr = $vo * $k + $r1 * pow($io, 2);
			$wr = $r1 * pow(($k + $io), 2);
			
			echo "D = " . round($k * 1000, 0) . " ma. " . round($wd, 1) . " watt, R = " . round($r1,1) . " ohms " . round($wr,1) . " watt <br />";
		}
		echo "</p>";
		

	}
?>
		</div>
    </div>
      
    <!-- C. FOOTER AREA -->      
	<?php include '../includes/Footer.incl.html'; ?>
	
  </div> 
  
</body>
</html>